Skip to main content

Enable User

Use this API to enable the user.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

PUT https://{tenantId}.{hostname}/digitanium/v4/users/{userName}/enable

HTTP request URL for SHIFT​

PUT https://{hostname}/auth/realms/{tenantId}/v3_user/{userName}/enable
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body (Required)​

Field NameTypeDescription
enabled (Required)BooleanTrue - Enable user

Sample Request​

{
"enabled" : true
}

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "User updated successfully",
"status": "Success",
"subSystem": 5
}

Response Status Information​

Status CodeStatusMessage
200SuccessUser updated successfully
400BAD_REQUESTUsername should not be null or empty
401UnauthorizedHTTP 401 Unauthorized
404USER_NOT_FOUNDUser does not exist